Package org.eclipse.emf.spi.cdo

## Interface InternalCDOLoadable

- All Known Subinterfaces:
    `InternalCDOObject`
  All Known Implementing Classes:
    `AccessImpl`, `AndFilterImpl`, `AnnotationImpl`, `AssigneeImpl`, `BooleanValueImpl`, `ByteValueImpl`, `CDOBinaryResourceImpl`, `CDOFileResourceImpl`, `CDOObjectImpl`, `CDOResourceFolderImpl`, `CDOResourceImpl`, `CDOResourceLeafImpl`, `CDOResourceNodeImpl`, `CDOTextResourceImpl`, `CharValueImpl`, `ClassFilterImpl`, `ClassPermissionImpl`, `CombinedFilterImpl`, `ContainedObjectImpl`, `ContextAccessImpl`, `DirectoryImpl`, `DoubleValueImpl`, `ExpressionFilterImpl`, `FilterPermissionImpl`, `FloatValueImpl`, `FunctionInvocationImpl`, `GroupImpl`, `IntValueImpl`, `InvocationImpl`, `LinkedExpressionImpl`, `LinkedFilterImpl`, `LinkedObjectImpl`, `ListConstructionImpl`, `LongValueImpl`, `MemberAccessImpl`, `MemberInvocationImpl`, `ModelElementImpl`, `NotFilterImpl`, `ObjectFilterImpl`, `ObjectPermissionImpl`, `OrFilterImpl`, `PackageFilterImpl`, `PackagePermissionImpl`, `PermissionFilterImpl`, `PermissionImpl`, `RealmImpl`, `ResourceFilterImpl`, `ResourcePermissionImpl`, `RoleImpl`, `SecurityElementImpl`, `SecurityItemImpl`, `ShortValueImpl`, `StaticAccessImpl`, `StringValueImpl`, `UserImpl`, `UserPasswordImpl`, `ValueImpl`

      public interface InternalCDOLoadable

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cdoInternalPostLoad()` |
    `void` | `cdoInternalPreLoad()` |

- - ### Method Detail

    - #### cdoInternalPreLoad

          void cdoInternalPreLoad()

    - #### cdoInternalPostLoad

          void cdoInternalPostLoad()